Aml.Editor.Plugin.DeviceDescription Class Reference
Inheritance diagram for Aml.Editor.Plugin.DeviceDescription:

## Public Member Functions

| DeviceDescription ()
| Constructor with no arguments that intilizes Device Description GUI More...
| DeviceDescription (MWController mWController)
| This is a constructor of this class with MWControlle rargument. More...
void | loadStandardLibrary ()
| This function loads "Interface Class Libraries" and"Role Class Libraries" from already defined libaraies in plugin or, libraries from the AML file those user want ot load from local machine. More...
void | checkForAutomtionComponent ()
void | clear ()
void | searchForComponentNames (AttributeType classType)
void | ClearHeaderTabPageValuesofElectricalInterfaces ()
void | ClearHeaderTabPageValuesofgenericData ()
void | selectLibrary (byte[] file)

## Public Attributes

bool | dragging = false

## Protected Member Functions

override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties

object | row `[get]`

## Constructor & Destructor Documentation

## DeviceDescription() [1/2]

Aml.Editor.Plugin.DeviceDescription.DeviceDescription | ( |  | ) |

inline

Constructor with no arguments that intilizes Device Description GUI

## DeviceDescription() [2/2]

Aml.Editor.Plugin.DeviceDescription.DeviceDescription | ( | MWController | mWController | ) |

inline

This is a constructor of this class with MWControlle rargument.

Parameters

  mWController |

## Member Function Documentation

## checkForAutomtionComponent()

void Aml.Editor.Plugin.DeviceDescription.checkForAutomtionComponent | ( |  | ) |

inline

## clear()

void Aml.Editor.Plugin.DeviceDescription.clear | ( |  | ) |

inline

## ClearHeaderTabPageValuesofElectricalInterfaces()

void Aml.Editor.Plugin.DeviceDescription.ClearHeaderTabPageValuesofElectricalInterfaces | ( |  | ) |

inline

## ClearHeaderTabPageValuesofgenericData()

void Aml.Editor.Plugin.DeviceDescription.ClearHeaderTabPageValuesofgenericData | ( |  | ) |

inline

## Dispose()

override void Aml.Editor.Plugin.DeviceDescription.Dispose | ( | bool | disposing | ) |

inlineprotected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

## loadStandardLibrary()

void Aml.Editor.Plugin.DeviceDescription.loadStandardLibrary | ( |  | ) |

inline

This function loads "Interface Class Libraries" and"Role Class Libraries" from already defined libaraies in plugin or, libraries from the AML file those user want ot load from local machine.

## searchForComponentNames()

void Aml.Editor.Plugin.DeviceDescription.searchForComponentNames | ( | AttributeType | classType | ) |

inline

## selectLibrary()

void Aml.Editor.Plugin.DeviceDescription.selectLibrary | ( | byte[] | file | ) |

inline

## Member Data Documentation

## dragging

bool Aml.Editor.Plugin.DeviceDescription.dragging = false

## Property Documentation

## row

object Aml.Editor.Plugin.DeviceDescription.row

get

The documentation for this class was generated from the following files:

- DeviceDescription.cs
- DeviceDescription.Designer.cs